/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __LINUX_DIO_DOT_H__
#define __LINUX_DIO_DOT_H__

/*  Generic struct buffer_head info  */

struct inode *gfs_get_aspace(struct gfs_sbd *sdp);
void gfs_put_aspace(struct inode *aspace);

void gfs_inval_buf(struct gfs_glock *gl);
void gfs_sync_buf(struct gfs_glock *gl, int flags);

void gfs_flush_meta_cache(struct gfs_inode *ip);

#endif				/*  __LINUX_DIO_DOT_H__  */
